/*
 * define communication protocol between hardware device and software.
 * there are three parts:
 * 1.tof
 * 2.tdoa
 * 3.other
 *
 * */
#ifndef protocol_hpp
#define protocol_hpp

// 1.tof
#define CHAR_LOCATEDATA_TOF_EXTEND          0x843b	// TOF实时定位数据，请求、应答
#define CHAR_LOCATEDATASMALL_TOF_EXTEND     0x753b	// TOF实时小分站定位数据，请求、应答
#define CHAR_LOCATEDATAHIS_TOF_EXTEND       0x853b	// TOF历史定位数据，请求、应答
#define CHAR_LOCATEDATA_TOF_OPTIMIZE        0x753d  // TOF优化协议

// 2.tdoa
#define CHAR_LOCATEDATA_TDOA_EXTEND         0x863b	// 扩展TDOA实时定位数据，请求、应答
#define CHAR_LOCATEDATAHIS_TDOA_EXTEND      0x873b	// 扩展TDOA历史定位数据，请求、应答
#define CHAR_TDOA_READER_SYNC_TIME          0xa78d	// TDOA分站时间同步
#define CHAR_LOCATEDATA_TDOA                0x813b  // TDOA实时定位数据
#define CHAR_LOCATEDATA_TDOA_EXTEND_INS     0x901b  // 扩展TDOA实时定位数据，带惯导数据

// 3.pdoa
#define CHAR_LOCATEDATA_PDOA                0xa03b  // PDOA实时定位数据

// 4.light
#define CHAR_LIGHT_STATUS                   0x6a7c  // 红绿灯请求状态指令
#define CHAR_LIGHT_HEART                    0x5a1a  // 红绿灯心跳指令
#define CHAR_LIGHT_SETUP                    0x77a4  // 设置红绿灯参数信息
#define CHAR_LIGHT_TCP_STATUS               0x95a0  // TCP红绿灯请求状态指令
#define CHAR_LIGHT_TCP_HEART                0x95a1  // TCP红绿灯心跳指令
#define CHAR_LIGHT_TCP_SETUP                0x95a2  // TCP红绿灯设置参数信息

// 5.other
#define CHAR_CTRL_READER_CMD                0x804c	// 向分站发送控制指令，控制分站向上位机发送数据
#define CHAR_VIRTUAL_DATA_PUSH_CMD          0x699a	// 虚拟数据推送
#define CHAR_SYNC_TIME                      0x783a  // 分站校时

#endif
